PubSubService_subscribe

POST /pubsub/pubsubconnectorservice/subscribe

Operation id: PubSubService_subscribe

Tags: PubSubService

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.(streaming responses)

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
topicstringNo
groupstringNo
filterBystringNo
filterValuestringNo
{
  "type": "object",
  "properties": {
    "topic": {
      "type": "string"
    },
    "group": {
      "type": "string"
    },
    "filterBy": {
      "type": "string"
    },
    "filterValue": {
      "type": "string"
    }
  }
}

Response models

200 — A successful response.(streaming responses)

Content type: application/json

Schema

PropertyTypeRequiredDescription
resultobjectNo
errorobjectNo
{
  "type": "object",
  "properties": {
    "result": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string"
        },
        "data": {
          "type": "string"
        },
        "attributes": {
          "type": "object"
        }
      }
    },
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "integer",
          "format": "int32"
        },
        "message": {
          "type": "string"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "@type": {
                "type": "string"
              }
            }
          }
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}